<html>
<head>
  <meta http-equiv="expires" content="0">
	<meta http-equiv="pragma" content="no-cache">	
	<link rel="stylesheet" href="/fwatch.css" type="text/css">
	<script language=javascript>
	<% FwCameraGet("FwModId","PortId","NO_SNAP"); %>  
	<% FwCamCtlGet(); %>		
	<% FwCamCtlGet("GPI"); %>

	function GetData() {	
		with( document.all ){
			var IP = document.location.hostname;
			var port = document.location.port;
			if (port == "") {
				port = 80;
			}
			channelHandle = SVMultiChannelMediaCtl.CreateChannel(IP, port, "", 0, FWMODID, Number(PORTID) + 1, <% FwGetUser(); %>, <% FwGetPass(); %>, 0, 5, 0, 0, 0);	
			SVMultiChannelMediaCtl.SetDrawFit(channelHandle, 2);
			SVMultiChannelMediaCtl.StartStreaming(channelHandle);
			
			AutoFocus.value = AUTOFOCUS;
			AfSensitivity.value = AFSENSITIVITY;
			FocusNearLimit.value = FOCUSNEARLIMIT;
			AwbMode.value = AWBMODE;
			WbGainR.value = WBGAINR;
			WbGainB.value = WBGAINB;
			Wdr[0].checked = ((WDR == 1) ? true : false);
			Wdr[1].checked = ((WDR == 0) ? true : false);
			NoiseReduction.value = NOISEREDUCTION;
			DayToNight.value = DAYTONIGHT;
			NightToDay.value = NIGHTTODAY;
			Aperture.value = APERTURE;
			ExposureMode.value = EXPOSUREMODE;
			IrisPosition.value = IRISPOSITION;
			GainPosition.value = GAINPOSITION;
			BrightPosition.value = BRIGHTPOSITION;
			ShutterPosition.value = SHUTTERPOSITION;
			MillerFlip.value = MILLERFLIP;
			ColorGain.value = COLORGAIN;
			ColorHue.value = COLORHUE;
			OsdEnable[0].checked = ((OSDENABLE == 1) ? true : false);
			OsdEnable[1].checked = ((OSDENABLE == 0) ? true : false);
			LightCompMode[0].checked = ((LIGHTCOMPMODE == 0) ? true : false);
			LightCompMode[1].checked = ((LIGHTCOMPMODE == 1) ? true : false);
			AutoDayNight[0].checked = ((AUTODAYNIGHT == 1) ? true : false);
			AutoDayNight[1].checked = ((AUTODAYNIGHT == 0) ? true : false);
			InfraredMode[0].checked = ((INFRAREDMODE == 0) ? true : false);
			InfraredMode[1].checked = ((INFRAREDMODE == 1) ? true : false);
			ZoomSpeed.value = ZOOMSPEED;
			DigitalZoom[0].checked = ((DIGITALZOOM == 1) ? true : false);
			DigitalZoom[1].checked = ((DIGITALZOOM == 0) ? true : false);
			ZoomOutStart.value = ZOOMOUTSTART;
			ZoomInStop.value = ZOOMINSTOP;
			AutoZoomMode[0].checked = ((AUTOZOOMMODE == 0) ? true : false);
			AutoZoomMode[1].checked = ((AUTOZOOMMODE == 1) ? true : false);
			AutoZoomIn.value = AUTOZOOMIN;
			AutoZoomOut.value = AUTOZOOMOUT;
			AutoZoomDwell.value = AUTOZOOMDWELL;

			ChgAwbMode();
			ChgExposureMode();
			ChgInfraredMode();
		}
	}
	
	function ChgAwbMode() {
		with (document.all) {
			if (AwbMode.value == 5) {
				WbGainR.disabled = false;
				WbGainB.disabled = false;
			}
			else {
				WbGainR.disabled = true;
				WbGainB.disabled = true;
			}
		}
	}
	
	function ChgExposureMode() {
		with (document.all) {
			switch (ExposureMode.value) {
				case "0": 
					IrisPosition.disabled = true;
					GainPosition.disabled = true;
					BrightPosition.disabled = true;
					ShutterPosition.disabled = true;
					break;
				case "3":
					IrisPosition.disabled = false;
					GainPosition.disabled = false;
					BrightPosition.disabled = true;
					ShutterPosition.disabled = false;
					break;
				case "11":
					IrisPosition.disabled = false;
					GainPosition.disabled = true;
					BrightPosition.disabled = true;
					ShutterPosition.disabled = true;
					break;
				case "10":
					IrisPosition.disabled = true;
					GainPosition.disabled = true;
					BrightPosition.disabled = true;
					ShutterPosition.disabled = false;
					break;
				case "13":
					IrisPosition.disabled = true;
					GainPosition.disabled = true;
					BrightPosition.disabled = false;
					ShutterPosition.disabled = true;
					break;
				default:
					break;
			}
		}
	}
	
	function ChgInfraredMode() {
		with (document.all) {
			if (AutoDayNight[1].checked) {
				InfraredMode[0].disabled = false;
				InfraredMode[1].disabled = false;
			}
			else {
				InfraredMode[0].disabled = true;
				InfraredMode[1].disabled = true;			
			}
		}
	}
	
	function ChgZoomInOut() {
		with (document.all) {
			if (Number(AutoZoomOut.value) >= Number(AutoZoomIn.value)) {
				alert("Auto zoom out must be smaller than auto zoom in.");
				AutoZoomOut.focus();
			}
		}
	}
	
	function ChgZoomStartStop() {
		with (document.all) {
			if (Number(ZoomOutStart.value) >= Number(ZoomInStop.value)) {
				alert("Zoom start must be smaller than zoom stop.");
				ZoomOutStart.focus();
			}
		}
	}

	function SetData() {
		with (document.all) {
			if (Number(AutoZoomOut.value) >= Number(AutoZoomIn.value)) {
				alert("Auto zoom out must be smaller than auto zoom in.");
				AutoZoomOut.focus();
				return false;
			}
			
			if (Number(ZoomOutStart.value) >= Number(ZoomInStop.value)) {
				alert("Zoom start must be smaller than zoom stop.");
				ZoomOutStart.focus();
				return false;
			}
			
			if( isNaN(WbGainR.value) == true){
				alert("\'" + WbGainR.value + "\' is not a number.");
				WbGainR.focus();
				return false;
			}
			if(WbGainR.value < 0 || WbGainR.value > 255) {
				alert("Value should be 0 ~ 255");
				WbGainR.focus();
				return false;
			}
			
			if( isNaN(WbGainB.value) == true){
				alert("\'" + WbGainB.value + "\' is not a number.");
				WbGainB.focus();
				return false;
			}
			if(WbGainB.value < 0 || WbGainB.value > 255) {
				alert("Value should be 0 ~ 255");
				WbGainB.focus();
				return false;
			}
			
			if( isNaN(DayToNight.value) == true){
				alert("\'" + DayToNight.value + "\' is not a number.");
				DayToNight.focus();
				return false;
			}
			if(DayToNight.value < 0 || DayToNight.value > 15) {
				alert("Value should be 0 ~ 15");
				DayToNight.focus();
				return false;
			}
			
			if( isNaN(NightToDay.value) == true){
				alert("\'" + NightToDay.value + "\' is not a number.");
				NightToDay.focus();
				return false;
			}
			if(NightToDay.value < 0 || NightToDay.value > 15) {
				alert("Value should be 0 ~ 15");
				NightToDay.focus();
				return false;
			}
			
			if( isNaN(Aperture.value) == true){
				alert("\'" + Aperture.value + "\' is not a number.");
				Aperture.focus();
				return false;
			}
			if(Aperture.value < 0 || Aperture.value > 15) {
				alert("Value should be 0 ~ 15");
				Aperture.focus();
				return false;
			}
			
			if( isNaN(GainPosition.value) == true){
				alert("\'" + GainPosition.value + "\' is not a number.");
				GainPosition.focus();
				return false;
			}
			if(GainPosition.value < 0 || GainPosition.value > 16) {
				alert("Value should be 0 ~ 16");
				GainPosition.focus();
				return false;
			}
			
			if( isNaN(BrightPosition.value) == true){
				alert("\'" + BrightPosition.value + "\' is not a number.");
				BrightPosition.focus();
				return false;
			}
			if(BrightPosition.value < 0 || BrightPosition.value > 31) {
				alert("Value should be 0 ~ 31");
				BrightPosition.focus();
				return false;
			}
			
			if( isNaN(ColorGain.value) == true){
				alert("\'" + ColorGain.value + "\' is not a number.");
				ColorGain.focus();
				return false;
			}
			if(ColorGain.value < 0 || ColorGain.value > 14) {
				alert("Value should be 0 ~ 14");
				ColorGain.focus();
				return false;
			}
			
			if( isNaN(ColorHue.value) == true){
				alert("\'" + ColorHue.value + "\' is not a number.");
				ColorHue.focus();
				return false;
			}
			if(ColorHue.value < 0 || ColorHue.value > 14) {
				alert("Value should be 0 ~ 14");
				ColorHue.focus();
				return false;
			}

			toback.disabled = true;
			toapply.disabled = true;
			toinit.disabled = true;
		}
	}
	</script>
</head>

<body onload="GetData();" topmargin=20>
<form name='cam' method=Post action="/cgi-bin/admin/fwcamctlset.cgi" onSubmit="return SetData();">
	<table align=center>
		<tr>
			<td align=center height=30><font class=text3>Camera Control</font></td>
		</tr>
		<tr>
			<td>
				<table border=1 bordercolordark=#ffffff bordercolorlight=#c0c0c0 cellpadding=0 cellspacing=0 align=center>
					<tr>
						<td colspan="2" align="center" bgcolor="#E1EBF0">
							<textarea id=obj1 style="display:none;" rows="0" cols="0">
							<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830
									codebase=<% FwGetActiveXFilePath("VIEWER_OCX"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION"); %> 
									width=460 height=300 id=SVMultiChannelMediaCtl>
							</OBJECT>
							</textarea>
							<script language="javascript" src="/object.asp?objID=obj1"></script>	  
						</td>
					</tr>
					<tr>
						<td width='190' bgcolor=#BAC4DD>&nbsp;Auto Zoom Mode</td>
						<td width='270' bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=AutoZoomMode value=0> Auto
						&nbsp; <input type=radio name=AutoZoomMode value=1> Semi
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Auto Zoom Out</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AutoZoomOut>
						<option value=0>X1
						<option value=1>X2
						<option value=2>X3
						<option value=3>X4
						<option value=4>X5
						<option value=5>X6
						<option value=6>X7
						<option value=7>X8
						<option value=8>X9
						<option value=9>X10
						<option value=10>X11
						<option value=11>X12 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Auto Zoom In</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AutoZoomIn onChange='ChgZoomInOut();'>
						<option value=0>X1
						<option value=1>X2
						<option value=2>X3
						<option value=3>X4
						<option value=4>X5
						<option value=5>X6
						<option value=6>X7
						<option value=7>X8
						<option value=8>X9
						<option value=9>X10
						<option value=10>X11
						<option value=11>X12 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Auto Zoom Dwell Time</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AutoZoomDwell>
						<option value=0>1 Sec
						<option value=1>2 Sec
						<option value=2>3 Sec
						<option value=3>4 Sec
						<option value=4>5 Sec
						<option value=5>6 Sec
						<option value=6>7 Sec
						<option value=7>8 Sec
						<option value=8>9 Sec
						<option value=9>10 Sec
						<option value=10>15 Sec
						<option value=11>20 Sec
						<option value=11>25 Sec
						<option value=12>30 Sec </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Zoom Button Speed</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=ZoomSpeed>
						<option value=0>0
						<option value=1>1
						<option value=2>2
						<option value=3>3
						<option value=4>4
						<option value=5>5
						<option value=6>6
						<option value=7>7 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Digital Zoom</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=DigitalZoom value=1> On
						&nbsp; <input type=radio name=DigitalZoom value=0> Off
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Zoom Start</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=ZoomOutStart>
						<option value=0>X1
						<option value=1>X2
						<option value=2>X3
						<option value=3>X4
						<option value=4>X5
						<option value=5>X6
						<option value=6>X7
						<option value=7>X8
						<option value=8>X9
						<option value=9>X10
						<option value=10>X11
						<option value=11>X12 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Zoom Stop</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=ZoomInStop onChange='ChgZoomStartStop();'>
						<option value=0>X1
						<option value=1>X2
						<option value=2>X3
						<option value=3>X4
						<option value=4>X5
						<option value=5>X6
						<option value=6>X7
						<option value=7>X8
						<option value=8>X9
						<option value=9>X10
						<option value=10>X11
						<option value=11>X12 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Focus Mode</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AutoFocus>
							<option value=0>Manual
							<option value=1>Auto </select>
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Focus Sensitivity</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AfSensitivity>
						<option value=0>Low
						<option value=1>Normal </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Focus Limit</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=FocusNearLimit>
						<option value=4096>Over Inf
						<option value=8192>10m
						<option value=12288>5m
						<option value=16384>3m
						<option value=20480>2m
						<option value=24576>1.5m
						<option value=28672>1.2m
						<option value=32768>1m
						<option value=36864>30cm
						<option value=40960>10cm
						<option value=45056>5cm
						<option value=49152>1cm </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;White Balance Mode</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=AwbMode onChange="ChgAwbMode();">
						<option value=0>Auto
						<option value=1>Indoor
						<option value=2>Outdoor
						<option value=4>ATW
						<option value=5>Manual </select> </td>
					</tr>					
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;WB Manual R-Gain</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=WbGainR size=6 maxlength=3 class=in> (Default:211, 0 ~ 255)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;WB Manual B-Gain</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=WbGainB size=6 maxlength=3 class=in> (Default:170, 0 ~ 255)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Auto Day & Night</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=AutoDayNight value=1 onClick="ChgInfraredMode();"> On
						&nbsp; <input type=radio name=AutoDayNight value=0 onClick="ChgInfraredMode();"> Off
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Day & Night Setting</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=InfraredMode value=0> Day
						&nbsp; <input type=radio name=InfraredMode value=1> Night
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;The threshold of day to night&nbsp;</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=DayToNight size=6 maxlength=2 class=in> (Default:9, 0 ~ 15)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;The threshold of night to day</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=NightToDay size=6 maxlength=2 class=in> (Default:5, 0 ~ 15)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;AE Control</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=ExposureMode onChange="ChgExposureMode();">
						<option value=0>Full Auto
						<option value=3>Manual
						<option value=11>Iris Priority
						<option value=10>Shutter Priority
						<option value=13>Bright</select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;IRIS</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=IrisPosition>
						<option value=0>Close
						<option value=1>F28
						<option value=2>F22
						<option value=3>F19
						<option value=4>F16
						<option value=5>F14
						<option value=6>F11
						<option value=7>F9.6
						<option value=8>F8.0
						<option value=9>F6.8
						<option value=10>F5.6
						<option value=11>F4.8
						<option value=12>F4.0
						<option value=13>F3.4
						<option value=14>F2.8
						<option value=15>F2.4
						<option value=16>F2.0
						<option value=17>F1.6 </select> </td>
					</tr>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Gain</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=GainPosition size=6 maxlength=2 class=in> (Default:0, 0 ~ 16)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Brightness</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=BrightPosition size=6 maxlength=2 class=in> (Default:15, 0 ~ 31)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Shutter</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=ShutterPosition>
						<option value=0>1/1
						<option value=1>1/2
						<option value=2>1/4
						<option value=3>1/8
						<option value=4>1/15
						<option value=5>1/30
						<option value=6>1/60
						<option value=7>1/90
						<option value=8>1/100
						<option value=9>1/125
						<option value=10>1/180
						<option value=11>1/250
						<option value=12>1/350
						<option value=13>1/500
						<option value=14>1/725
						<option value=15>1/1000
						<option value=16>1/1500
						<option value=17>1/2000
						<option value=18>1/3000
						<option value=19>1/4000
						<option value=20>1/6000
						<option value=21>1/10000 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;BLC</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=LightCompMode value=0> On
						&nbsp; <input type=radio name=LightCompMode value=1> Off
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;WDR</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=Wdr value=1> On
						&nbsp; <input type=radio name=Wdr value=0> Off
						</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Noise Reduction</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=NoiseReduction>
						<option value=0>Off
						<option value=1>1
						<option value=2>2
						<option value=3>3
						<option value=4>4
						<option value=5>5 </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Sharpness</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=Aperture size=6 maxlength=2 class=in> (Default:10, 0 ~ 15)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Mirror/Flip</td>
						<td bgcolor=#E1EBF0>&nbsp; <select name=MillerFlip>
						<option value=0>[No Mirror, No Flip]
						<option value=1>[No Mirror, Flip]
						<option value=2>[Mirror, No Flip]
						<option value=3>[Mirror, Flip] </select> </td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Color Gain</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=ColorGain size=6 maxlength=2 class=in> (Default:4, 0 ~ 14)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;Color Hue</td>
						<td bgcolor=#E1EBF0>&nbsp; <input type=text name=ColorHue size=6 maxlength=2 class=in> (Default:7, 0 ~ 14)</td>
					</tr>
					<tr>
						<td bgcolor=#BAC4DD>&nbsp;OSD</td>
						<td bgcolor=#E1EBF0>
						&nbsp; <input type=radio name=OsdEnable value=1> On
						&nbsp; <input type=radio name=OsdEnable value=0> Off
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td align=center height=40>
				<input type=hidden name='FwCgiVer' value='0x0001'>
				<input type=hidden name='FwMkChg' value='YES'>
				<input type=hidden name='RetPage' value='/admin/ret_ok.asp'>
				<input type=button name=toback class=butt value=' Back ' onClick="location='videocfg_<% FwGetSensorTypeMapping(); %>.asp?FwModId=<%FwGetParmValue("FwModId");%>'">&nbsp;
				<input type=submit name=toapply value=' Apply ' class=butt>&nbsp;
				<input type=button name=toinit value='Lens Initialize' onClick="location='/cgi-bin/admin/fwcamctlset.cgi?LensInitCmd=1'" class=butt>
			</td>
		</tr>
	</table>
</form>
</body>
</html>