<html>
<head>
<title>Omni Viewer</title>
<link rel="stylesheet" href="/fwatch.css" type="text/css">
<style type="text/css">
<!--
.rightLine {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #CCCCCC;
}
.topLine {
	border: 1px solid #CCCCCC;
}
.bottomLine {
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCCCCC;
}

.style_ShortFocus	{border:0; width:76px; height:24px; background:url('/img/btn_ShortFocus.gif')}
.style_ShortOver	{border:0; width:76px; height:24px; background:url('/img/btn_ShortOver.gif')}
.style_ShortDisable	{border:0; width:76px; height:24px; background:url('/img/btn_ShortDisable.gif')}
.style_LongFocus	{border:0; width:160px; height:24px; background:url('/img/btn_LongFocus.gif')}
.style_LongOver		{border:0; width:160px; height:24px; background:url('/img/btn_LongOver.gif')}
.style_LongDisable	{border:0; width:160px; height:24px; background:url('/img/btn_LongDisable.gif')}

A:active, A:focus { outline:0; }
-->
</style>
<script language="JavaScript">
/*------------------------------------------------------------------------------------*/
//  Omni Viewer
//  Author: Rae-Sung Lee	<nslee12@gmail.com>
//  Created Date: 15 December  2010
/*------------------------------------------------------------------------------------*/
	<% FwGetDiDoState("FwModId"); %>
	<% FwGetPtzModConf("FwModId"); %>
	<% PxGetAllCameraCnt(); %>
	
	if (Module0CameraCnt == 0) {
		alert("It failed to get server information.\nPlease check IP device is registered properly.");
		history.back();
	}
	
	var Resize = false;
	var CirStatus = false;
	var HideStatus = false;
	var GlobalWidth, GlobalHeight;
	var time;	
	GlobalWidth = -1;
	GlobalHeight = -1;

	function ViewTimer() {
		time = window.setTimeout("ViewTimer()",1000);
		var today = new Date();
		var now = AddZeros(today.getFullYear(), 4) + '-' +
				AddZeros(today.getMonth() + 1, 2) + '-' +
				AddZeros(today.getDate(), 2) + ' ' +
				AddZeros(today.getHours(), 2) + ':' +
				AddZeros(today.getMinutes(), 2) + ':' +
				AddZeros(today.getSeconds(), 2);
				
		document.getElementById("clock").innerHTML = now;
	}
	
	function AddZeros(n, digits) {
		var zero = '';
		n = n.toString();
		if (n.length < digits) {
			for (i = 0; i < digits - n.length; i++)
				zero += '0';
			}
		return zero + n;
	}
	
	function ViewCamNum() {
		var Comment = "<% FwGetModuleName("FwModId"); %> - Camera 1";
		document.getElementById("description").innerHTML = Comment;
	}
	
	function Ptz() {
		if (!(PTZINSTFLAG & 0x01 << parseInt(document.all.CamSelect.value, 10))) {
			alert("PTZ device is not installed.");
			return;
		}

		document.all.ptzCtl.style.display = "";
		var PresetName = Preset_Parsing();
		
		var PRESETNAME_StartPos = new Array(31);
		var PRESETNAME_StrCnt = new Array(31);
		var PRESETNAME = new Array(31);
		
		for (var i = 0; i < 32; i++) {
			var j = i + 1;
			var StartStr = "PRESETNAME" + i + "=\"";
			var EndStr =  "PRESETNAME" + j + "=\"";
			
			PRESETNAME_StartPos[i] = PresetName.indexOf(StartStr);

			if (i < 10) {
				PRESETNAME_StrCnt[i] = parseInt((PresetName.indexOf(EndStr) - 3) - (PRESETNAME_StartPos[i] + 13), 10);
				PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 13, PRESETNAME_StrCnt[i]);
			}
			else if (i < 31) {
				PRESETNAME_StrCnt[i] = parseInt((PresetName.indexOf(EndStr) - 3) - (PRESETNAME_StartPos[i] + 14), 10);
				PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 14, PRESETNAME_StrCnt[i]);
			}
			else {
				PRESETNAME_StrCnt[i] = parseInt((PresetName.length - 4) - (PRESETNAME_StartPos[i] + 14), 10);
				PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 14, PRESETNAME_StrCnt[i]);
			}
		}

		parseInt(document.all.CamSelect.value, 10) + 1;
		var optionStr = "<select name=SetCall style='width:143px;' onChange='PtzCall();'>";
			optionStr += "<option value=0 selected> " + PRESETNAME[0];
			optionStr += "<option value=1> " + PRESETNAME[1];
			optionStr += "<option value=2> " + PRESETNAME[2];
			optionStr += "<option value=3> " + PRESETNAME[3];
			optionStr += "<option value=4> " + PRESETNAME[4];
			optionStr += "<option value=5> " + PRESETNAME[5];
			optionStr += "<option value=6> " + PRESETNAME[6];
			optionStr += "<option value=7> " + PRESETNAME[7];
			optionStr += "<option value=8> " + PRESETNAME[8];
			optionStr += "<option value=9> " + PRESETNAME[9];
			optionStr += "<option value=10> " + PRESETNAME[10];
			optionStr += "<option value=11> " + PRESETNAME[11];
			optionStr += "<option value=12> " + PRESETNAME[12];
			optionStr += "<option value=13> " + PRESETNAME[13];
			optionStr += "<option value=14> " + PRESETNAME[14];
			optionStr += "<option value=15> " + PRESETNAME[15];
			optionStr += "<option value=16> " + PRESETNAME[16];
			optionStr += "<option value=17> " + PRESETNAME[17];
			optionStr += "<option value=18> " + PRESETNAME[18];
			optionStr += "<option value=19> " + PRESETNAME[19];
			optionStr += "<option value=20> " + PRESETNAME[20];
			optionStr += "<option value=21> " + PRESETNAME[21];
			optionStr += "<option value=22> " + PRESETNAME[22];
			optionStr += "<option value=23> " + PRESETNAME[23];
			optionStr += "<option value=24> " + PRESETNAME[24];
			optionStr += "<option value=25> " + PRESETNAME[25];
			optionStr += "<option value=26> " + PRESETNAME[26];
			optionStr += "<option value=27> " + PRESETNAME[27];
			optionStr += "<option value=28> " + PRESETNAME[28];
			optionStr += "<option value=29> " + PRESETNAME[29];
			optionStr += "<option value=30> " + PRESETNAME[30];
			optionStr += "<option value=31> " + PRESETNAME[31];
			optionStr += "</select>"
			
			document.getElementById("optStr").innerHTML = optionStr;	
	}
	
	function Preset_Parsing(){
		var HTTPConnect;
		if(window.ActiveXObject) {
			HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
		}
		else if(window.XMLHttpRequest) {
			HTTPConnect = new XMLHttpRequest();
		}

		var PtzInfo = "/asp-get/fwpresetget.asp?FwModId=" + document.all.ModSelect.value + "&PortId=" + document.all.CamSelect.value;
		HTTPConnect.open("GET", PtzInfo, false);
		HTTPConnect.send(null);
		var PtzString= HTTPConnect.responseText;
		return PtzString;
	}

	function PtzCmdCtlMode(ContCmdCode, StepCmdCode) {
		with (document.all) {
			if (ptzMode.value == "1") {
				location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + ContCmdCode +  "&Weight=" + ptzSpeed.value + "&PtzParm=0&FwCgiVer=0x0001";
			}
			else {
				location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + StepCmdCode +  "&Weight=" + ptzSpeed.value + "&PtzParm=0&FwCgiVer=0x0001";
			}
		}
	}

	function PtzCmdCtl(CmdCode) {
		with (document.all) {
			if (ptzMode.value == "1") {
				location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + CmdCode +  "&Weight=" + ptzSpeed.value + "&PtzParm=0&FwCgiVer=0x0001";
			}
		}
	}
	
	function PtzCall()	{ 
		with(document.all) {
			location.href = "/cgi-bin/fwptzctr.cgi?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCmd=C&Weight=" + SetCall.value + "&FwCgiVer=0x0001"; 
		}
	}
	
	function ChgModId() {
		location.href = "single_view.asp?FwModId=" + document.all.ModSelect.value;
	}
	
	function ModuleName(){
		var HTTPConnect;
		if(window.ActiveXObject) {
			HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
		}
		else if(window.XMLHttpRequest) {
			HTTPConnect = new XMLHttpRequest();
		}

		var ModInfo = "/asp-get/fwmodname.asp?FwModId=" + document.all.ModSelect.value;
		HTTPConnect.open("GET", ModInfo, false);
		HTTPConnect.send(null);
		var ModString= HTTPConnect.responseText;
		return ModString;
	}

	function ChgImgSrc(){  
		with (document.all) {
			var ModName = ModuleName();
			var CameraNo = parseInt(document.all.CamSelect.value, 10) + 1;
			OmniViewer.ChangeCamSrc(CameraNo);
			
			if (DICOUNT == DOCOUNT) {
				var DoChannel = parseInt(document.all.CamSelect.value, 10) + 1;
				document.all.Do.value = "Do " + DoChannel;
			}
						
			var Comment = ModName + " - Camera " + CameraNo;
			document.getElementById("description").innerHTML = Comment;
			
			OmniViewer.DoPermissionCheck(CameraNo);
			OmniViewer.PtzPermissionCheck(CameraNo);
		}
	}
	
	function ChgCamName(param) {
		with (document.all) {
			var ModName = ModuleName();
			var CameraNo = param;
			var Comment = ModName + " - Camera " + CameraNo;
			document.getElementById("description").innerHTML = Comment;
		}
	}

	function ChgFrameRate() {
		with (document.all) {
			OmniViewer.SetStreamInterval(FrameRate.value);
		}
	}
	
	function Circulation() {
		with( document.all){ 
			if(DOCOUNT == 1) { 
				alert("This model has a camera, So no rotation."); 
			}
			if(DOCOUNT > 1) { 
				var CamCnt = 0;
				for(var i=1; i < DOCOUNT + 1; i++) {
					if (eval("cam" + i).checked) {   
						CamCnt++;
					}
				}
				if (CamCnt == 0) {
					alert("Please select a camera.");
					return false;
				}
				
				OmniViewer.InitCirculation();
				var interval = RotateTime.value;
				OmniViewer.SetSequenceInterval(Number(interval));
				
				for(var i=1; i < DOCOUNT + 1; i++) {
					if (eval("cam" + i).checked) {   
						OmniViewer.TmpCamConfing_Insert(1, Number(eval("cam" + i).value) + 1);
					}	
				}	
				OmniViewer.TmpCamConfing_Validate(1);
			}
			CirStatus = true;				
		}   
	}
	
	function CirculationOff() {
		with (document.all) {
			if(DOCOUNT == 1) { 
				cam1.checked = false;
			}
			if(DOCOUNT > 1) { 
				for(i = 1; i <= DOCOUNT; i++) {
					eval("cam" + i).checked = false;
				}
				RotateTime.value = 3;
			}
			OmniViewer.TmpCamConfing_Insert(1, parseInt(document.all.CamSelect.value, 10) + 1);
			OmniViewer.TmpCamConfing_Validate(1);
			CirStatus = false;
		}
	}

	function DO_Parsing(){
		var HTTPConnect;
		if(window.ActiveXObject) {
			HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
		}
		else if(window.XMLHttpRequest) {
			HTTPConnect = new XMLHttpRequest();
		}

		var DoInfo = "/asp-get/fwdioget.asp?FwModId=" + document.all.ModSelect.value;
		HTTPConnect.open("GET", DoInfo, false);
		HTTPConnect.send(null);
		var DoString= HTTPConnect.responseText;
		var Position = DoString.indexOf("DO_DATA=");
		return DoString.substr(Position + 8, 4);
	}

	function DoControl() {
		with (document.all) {
			var DO_DATA = DO_Parsing();
			var DoValue;
			var Flag;
			switch (CamSelect.value) {
				case "0" : DoValue = 1; break;
				case "1" : DoValue = 2; break;
				case "2" : DoValue = 4; break;
				case "3" : DoValue = 8; break;
			}
			
			Flag = (DO_DATA ^ DoValue);
			DoTrans.src = "/cgi-bin/fwdoctr.cgi?DoData=" + Flag + "&FwModId=" + document.all.ModSelect.value + "&FwCgiVer=0x0001"; 
		}
	}
	
	function DoStatus(param) {
		document.all.Do.disabled = param;
	}
	
	function PtzStatus(param) {
		document.all.PtzCtrl.disabled = param;
		if (param == false) {
			document.all.ptzCtl.style.display = "none";
		}
	}
	
	function Pause() {
		with (document.all) {
			if (Pause.value == "Pause") {
				Pause.value = "Play";
				OmniViewer.StopStream();
				clearTimeout(time);
			}
			else {
				Pause.value = "Pause";
				OmniViewer.StartStream();
				ViewTimer();
			}
		}
	}

	function None() {
		with (document.all) {
			if (NoneChannel.value == "None Channel") {
				HideStatus = true;
				NoneChannel.value = "Show Channel";
				viewer.style.visibility = "hidden";
			}
			else {
				HideStatus = false;
				NoneChannel.value = "None Channel";
				viewer.style.visibility = "visible";
			}
		}
	}
	
	function CodecTypeChk(){
		var HTTPConnect;
		if(window.ActiveXObject) {
			HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
		}
		else if(window.XMLHttpRequest) {
			HTTPConnect = new XMLHttpRequest();
		}

		var CodecInfo = "/asp-get/fwcamget.asp?FwModId=" + document.all.ModSelect.value + "&PortId=" + document.all.CamSelect.value ;
		HTTPConnect.open("GET", CodecInfo, false);
		HTTPConnect.send(null);
		var CodecString= HTTPConnect.responseText;
		var Position = CodecString.indexOf("CODECTYPE=");
		return CodecString.substr(Position + 10, 1);
	}
	
	function Stretch() {
		with (document.all) {
			if (!HideStatus) {
				var CodecType = CodecTypeChk();
				var param1, param2;
				if (CodecType == "0") {
					Resize = true;
					
					TargetArea.width = "100%";
					TargetArea.height = "100%";
					param1 = TargetArea.offsetWidth - 2;
					param2 = TargetArea.offsetHeight - 44;
					ChgResolution(param1, param2);
					OmniViewer.Stretch();				
				}
			}
		}
	}
	
	function Restore() {
		with (document.all) {
			if (!HideStatus) {
				var CodecType = CodecTypeChk();
				if (CodecType == "0") {
					Resize = false;
		
					TargetArea.width = "100%";
					TargetArea.height = "100%";
					OmniViewer.Restore();
				}
			}
		}
	}
	
	function Multi() {
		if(<% FwGetHwOption("7"); %> == 1) { 
			alert("This model has a Camera, So no multi view page."); 
		}
		else { 
			location.href = "multi_view.asp?FwModId=" + document.all.ModSelect.value;
		}	
	} 
	
	function ChgResolution(param1, param2) {
		with (document.all) {
			if (GlobalWidth != param1 || GlobalHeight != param2) {
				OmniViewer.width = param1;
				OmniViewer.height = param2;
			}
		}
	}

	function FullScreen() {
		var win, opt;
		
        opt  = "dialogHeight:"+ (screen.availHeight) +";";
        opt += "dialogWidth:"+ (screen.availWidth) +";";
        opt += "dialogLeft:0px;";
        opt += "dialogTop:0px;";
        opt += "resizable:no;";
        opt += "status:no;";
        opt += "scroll:no;";
        opt += "help:no;";
		opt += "maximize:yes;";
        opt += "unadorned:no;";
        opt += "edge:sunken";
		
		var targetURL = "fullscreen.asp?FwModId=" + document.all.ModSelect.value + "&PortId=" + (parseInt(document.all.CamSelect.value, 10) + 1);
		var win = win = window.showModalDialog(targetURL, "childWin1", opt);
	}
	
	function SH_Module() {
		if (document.all.modCtl.style.display == "none") {
			document.all.modCtl.style.display = "";
		}
		else {
			document.all.modCtl.style.display = "none"
		}
	}
	
	function SH_Channel() {
		if (document.all.chCtl.style.display == "none") {
			document.all.chCtl.style.display = "";
		}
		else {
			document.all.chCtl.style.display = "none"
		}
	}
	
	function SH_Ptz() {
		if (document.all.ptzCtl.style.display == "none") {
			Ptz();
		}
		else {
			document.all.ptzCtl.style.display = "none"
		}
	}
	
	function SH_Resize() {
		if (!Resize) {
			Stretch();
		}
		else {
			Restore();
		}
	}
	
	function StartStopCir() {
		if (!CirStatus) {
			Circulation();
		}
		else {
			CirculationOff();
		}
	}
	
	function ShowInfo() {
		var win, opt;
		
        opt  = "dialogHeight:110px;";
        opt += "dialogWidth:360px;";
        opt += "resizable:no;";
        opt += "status:no;";
        opt += "scroll:no;";
        opt += "help:no;";
        opt += "center:1;";
		opt += "maximize:no;";
        opt += "unadorned:no;";
        opt += "edge:sunken";
		
		var targetURL = "about.asp";
		var win = win = window.showModalDialog(targetURL, "childWin2", opt);
	}
	
	function ModClose() {
		document.all.modCtl.style.display = "none";
	}
	
	function ChClose() {
		document.all.chCtl.style.display = "none";
	}
	
	function PtzClose() {
		document.all.ptzCtl.style.display = "none";
	}
	
	function Download() {
		top.location.href = "http://www.java.com/download/index.jsp";
	}
	
	function bluring(){
		if(event.srcElement.tagName=="A"||event.srcElement.tagName=="IMG") 
			document.body.focus();
	}
	document.onfocusin=bluring;
	
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="ViewTimer();ViewCamNum();">
<script type='text/javascript'>
    if ( (navigator.appName != "Microsoft Internet Explorer") && (navigator.appVersion.indexOf("Win")==-1) ) {
		document.write(
			'<embed code=""'
			, 'width="0"'
			, 'height="0"'
			, 'pluginspage="http://www.java.com/en/download/windows_xpi.jsp?locale=en"'
			, 'type="application/x-java-applet;version=1.6">'
		);
    }
</script>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="topLine">
  <tr> 
    <td colspan="3" class="bottomLine">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#F0F0F0">
		  <tr>
			<td width="10">&nbsp;</td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Module();"><img src="/img/server.gif" border="0" title="Show/Hide Module Selection bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Channel();"><img src="/img/channel.gif" border="0" title="Show/Hide Camera Control bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Ptz();"><img src="/img/ptzctl.gif" border="0" title="Show/Hide PTZ Control bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:FullScreen();"><img src="/img/fullscreen.gif" border="0" title="Switch to full screen"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:StartStopCir();"><img src="/img/circulation.gif" border="0" title="Start/Stop Circulation"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Resize();"><img src="/img/stretch.gif" border="0" title="Enlarge video"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:ShowInfo();"><img src="/img/about.gif" border="0" title="About Omni Viewer"></a></td>
			<td>&nbsp;</td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr> 
    <td width="200" valign="top" bgcolor="#D7E6F0" class="rightLine">
	 <div id="modCtl"> 
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td><table width="200" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="185" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Module 
                    Selection</b></font></td>
                  <td width="15"><a href="javascript:ModClose();" onMouseOver="document.all.Img1.src='/img/closeOver.gif'" onMouseOut="document.all.Img1.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img1" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td> <select name=ModSelect size=1 onChange="ChgModId(this.form);" style="width:200px;">
                <% PxMakeRx_LiveCombo("FwModId", "ComboStyle"); %>
              </select> </td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
          <tr> 
            <td width="90" height="25">&nbsp; Camera</td>
            <td> <script language="JavaScript">
					if (DICOUNT == "1") {
						var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.form);' style='width:90px;'>";
						str += "<option value=0>Camera 1 </select>";
						document.write(str);
					}
					else if (DICOUNT == "2") {
						var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.form);' style='width:90px;'>";
						str += "<option value=0>Camera 1 <option value=1>Camera 2 </select>";
						document.write(str);
					}
					else if (DICOUNT == "4") {
						var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.form);' style='width:90px;'>";
						str += "<option value=0>Camera 1 <option value=1>Camera 2 <option value=2>Camera 3 <option value=3>Camera 4 </select>";
						document.write(str);
					}
				</script> </td>
          </tr>
          <tr> 
            <td height="25">&nbsp; Frame Rate</td>
            <td> <select name='FrameRate' onChange='ChgFrameRate();' style='width:90px;'>
                <option value="0" selected>Fastest</option>
                <option value="70">15 fps</option>
                <option value="100">10 fps</option>
                <option value="200">5 fps</option>
                <option value="500">2 fps</option>
                <option value="1000">1 fps</option>
              </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
        </table>
      </div>
      <div id="chCtl"> 
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td><table width="200" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="185" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Camera 
                    Control</b></font></td>
                  <td width="15"><a href="javascript:ChClose();" onMouseOver="document.all.Img2.src='/img/closeOver.gif'" onMouseOut="document.all.Img2.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img2" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
          <tr> 
            <td width="65" height="25">&nbsp; Camera</td>
            <td> <script language="JavaScript">
						if (DOCOUNT == "1") {
							var str = "<input type='checkbox' name='cam1' value='0'>1";
							document.write(str);
						}
						else if (DOCOUNT == "2") {
							var str = "<input type='checkbox' name='cam1' value='0'>1 ";
							str += "<input type='checkbox' name='cam2' value='1'>2";
							document.write(str);
						}
						else if (DOCOUNT == "4") {
							var str = "<input type='checkbox' name='cam1' value='0'>1 ";
							str += "<input type='checkbox' name='cam2' value='1'>2";
							str += "<input type='checkbox' name='cam3' value='2'>3 ";
							str += "<input type='checkbox' name='cam4' value='3'>4";
							document.write(str);
						}
					</script> </td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td align="center">&nbsp;
			 <select name=RotateTime size=1>
                <option value=1>1 sec
                <option value=2>2 sec
                <option value=3 selected>3 sec 
                <option value=4>4 sec
                <option value=5>5 sec
                <option value=7>7 sec
                <option value=10>10 sec
                <option value=15>15 sec
                <option value=20>20 sec
                <option value=30>30 sec
                <option value=60>60 sec</select> <input type=button class="style_ShortFocus" name="Circulation" value="Circulation" onclick="Circulation();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="CirculationOff" value="Circulation - Off" onclick="CirculationOff();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_ShortFocus"  name="Do" value="Do 1" onclick="DoControl();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" name="Pause" value="Pause" onclick="Pause();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="NoneChannel" value="None Channel" onclick="None();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_ShortFocus" value="Stretch" onclick="Stretch();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" value="Restore" onclick="Restore();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="FullScreen" value="Full Screen" onclick="FullScreen();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> 
				<input type=button class="style_ShortFocus" value="Snapshot" onclick="location.href='/cgi-bin/fwcamimgsave.cgi?FwModId=' + document.all.ModSelect.value + '&PortId=' + document.all.CamSelect.value + '&FwCgiVer=0x0001'" title="Snapshot - Save image" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" value="Multi" onclick="Multi();" title="Multi View" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center><input type=button class="style_LongFocus" name="PtzCtrl" value="PTZ Control" onclick="SH_Ptz();" title="Pan/Tilt/Zoom" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
              <iframe src="" id="DoTrans" name="DoTrans" width="0" height="0" marginwidth="0" marginheight="0" frameborder="0" scrolling="no"></iframe></td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center><input type=button class="style_LongFocus" value="JRE Download" onclick="Download();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()"></td>
          </tr>
        </table>
      </div></td>
    <td valign="top" bgcolor="#C8DAE8" class="rightLine"> <div id="ptzCtl" style="display:none;"> 
        <table width="190" border="0" cellpadding="0" cellspacing="0" bgcolor="#C8DAE8">
          <tr> 
            <td><table width="190" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="175" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Pan / Tilt / Zoom</b></font></td>
                  <td width="15"><a href="javascript:PtzClose();" onMouseOver="document.all.Img3.src='/img/closeOver.gif'" onMouseOut="document.all.Img3.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img3" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center" valign="middle">Speed&nbsp; <select name=ptzSpeed style='width:70px;'>
                <option value=1> 1 
                <option value=2> 2 
                <option value=3> 3 
                <option value=4> 4 
                <option value=5> 5 
                <option value=6> 6 
                <option value=7> 7 
                <option value=8> 8 
                <option value=9> 9 
                <option value=10 selected> 10 
                <option value=11> 11 
                <option value=12> 12 
                <option value=13> 13 
                <option value=14> 14 
                <option value=15> 15
                <option value=16> 16 </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">
				<table width="138" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td><img src="/img/ptz/up_left.gif" width="46" height="46" border="0" title=" Left Up " onMouseDown="PtzCmdCtlMode('0x106','0x306');" onMouseUp="PtzCmdCtl('0x206');" onMouseOver="this.src='/img/ptz/up_leftOver.gif'" onMouseOut="this.src='/img/ptz/up_left.gif'"></td>
					<td><img src="/img/ptz/up.gif" width="46" height="46" border="0" title=" Up " onMouseDown="PtzCmdCtlMode('0x107','0x307');" onMouseUp="PtzCmdCtl('0x207');" onMouseOver="this.src='/img/ptz/upOver.gif'" onMouseOut="this.src='/img/ptz/up.gif'"></td>
					<td><img src="/img/ptz/up_right.gif" width="46" height="46" border="0" title=" Right Up " onMouseDown="PtzCmdCtlMode('0x108','0x308');" onMouseUp="PtzCmdCtl('0x208');" onMouseOver="this.src='/img/ptz/up_rightOver.gif'" onMouseOut="this.src='/img/ptz/up_right.gif'"></td>
				  </tr>
				  <tr>
					<td><img src="/img/ptz/left.gif" width="46" height="46" border="0" title=" Left " onMouseDown="PtzCmdCtlMode('0x103','0x303');" onMouseUp="PtzCmdCtl('0x203');" onMouseOver="this.src='/img/ptz/leftOver.gif'" onMouseOut="this.src='/img/ptz/left.gif'"></td>
					<td><img src="/img/ptz/home.gif" width="46" height="46" border="0" title="Home" onMouseDown="PtzCmdCtlMode('0x104','0x304');" onMouseOver="this.src='/img/ptz/homeOver.gif'" onMouseOut="this.src='/img/ptz/home.gif'"></td>
					<td><img src="/img/ptz/right.gif" width="46" height="46" border="0" title=" Right " onMouseDown="PtzCmdCtlMode('0x105','0x305');" onMouseUp="PtzCmdCtl('0x205');" onMouseOver="this.src='/img/ptz/rightOver.gif'" onMouseOut="this.src='/img/ptz/right.gif'"></td>
				  </tr>
				  <tr>
					<td><img src="/img/ptz/down_left.gif" width="46" height="46" border="0" title=" Left Down " onMouseDown="PtzCmdCtlMode('0x100','0x300');" onMouseUp="PtzCmdCtl('0x200');" onMouseOver="this.src='/img/ptz/down_leftOver.gif'" onMouseOut="this.src='/img/ptz/down_left.gif'"></td>
					<td><img src="/img/ptz/down.gif" width="46" height="46" border="0" title=" Down " onMouseDown="PtzCmdCtlMode('0x101','0x301');" onMouseUp="PtzCmdCtl('0x201');" onMouseOver="this.src='/img/ptz/downOver.gif'" onMouseOut="this.src='/img/ptz/down.gif'"></td>
					<td><img src="/img/ptz/down_right.gif" width="46" height="46" border="0" title=" Right Down " onMouseDown="PtzCmdCtlMode('0x102','0x302');" onMouseUp="PtzCmdCtl('0x202');" onMouseOver="this.src='/img/ptz/down_rightOver.gif'" onMouseOut="this.src='/img/ptz/down_right.gif'"></td>
				  </tr>
				</table>
			</td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center"><table width="160" border="0" align="center" cellpadding="1" cellspacing="2">
                <tr align="center"> 
                  <td><a onMouseDown="PtzCmdCtlMode('0x10B','0x30B');" onMouseUp="PtzCmdCtl('0x20B');"><img src="/img/ptz/zoom_in.gif" title=" Zoom In " border=0 onMouseOver="this.src='/img/ptz/zoom_inOver.gif'" onMouseOut="this.src='/img/ptz/zoom_in.gif'"></a></td>
                  <td><a onMouseDown="PtzCmdCtlMode('0x10C','0x30C');" onMouseUp="PtzCmdCtl('0x20C');"><img src="/img/ptz/zoom_out.gif" title=" Zoom Out " border=0 onMouseOver="this.src='/img/ptz/zoom_outOver.gif'" onMouseOut="this.src='/img/ptz/zoom_out.gif'"></a></td>
                </tr>
                <tr align="center"> 
                  <td><a onMouseDown="PtzCmdCtlMode('0x10D','0x30D');" onMouseUp="PtzCmdCtl('0x20D');"><img src="/img/ptz/focus_near.gif" title=" Focus Near " border=0 onMouseOver="this.src='/img/ptz/focus_nearOver.gif'" onMouseOut="this.src='/img/ptz/focus_near.gif'"></a></td>
                  <td><a onMouseDown="PtzCmdCtlMode('0x10E','0x30E');" onMouseUp="PtzCmdCtl('0x20E');"><img src="/img/ptz/focus_far.gif" title=" Focus Far " border=0 onMouseOver="this.src='/img/ptz/focus_farOver.gif'" onMouseOut="this.src='/img/ptz/focus_far.gif'"></a></td>
                </tr>
                <tr align="center"> 
                  <td><a href="javascript:PtzCmdCtlMode('0x109','0x309');"><img src="/img/ptz/auto_start.gif" title=" Auto Pan Start " border=0 onMouseOver="this.src='/img/ptz/auto_startOver.gif'" onMouseOut="this.src='/img/ptz/auto_start.gif'"></a></td>
                  <td><a href="javascript:PtzCmdCtlMode('0x10A','0x30A');"><img src="/img/ptz/auto_stop.gif" title=" Auto Pan Stop " border=0 onMouseOver="this.src='/img/ptz/auto_stopOver.gif'" onMouseOut="this.src='/img/ptz/auto_stop.gif'"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">Preset Call</td>
          </tr>
          <tr> 
            <td valign="top" height="5"></td>
          </tr>
          <tr> 
            <td align="center"> <div id="optStr"></div></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">PTZ Move Mode</td>
          </tr>
          <tr> 
            <td valign="top" height="5"></td>
          </tr>
          <tr> 
            <td align="center"> <select name=ptzMode style='width:143px;'>
                <option value=0> Step 
                <option value=1 selected> Continuous </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center"><table width="160" border="0" align="center" cellpadding="1" cellspacing="2">
                <tr align="center"> 
                  <td><img src="/img/ptz/light_on.gif" border="0" title="Light On" onClick="PtzCmdCtl('0x117');" onMouseOver="this.src='/img/ptz/light_onOver.gif'" onMouseOut="this.src='/img/ptz/light_on.gif'"></td>
                  <td><img src="/img/ptz/light_off.gif" border="0" title="Light Off" onClick="PtzCmdCtl('0x118');" onMouseOver="this.src='/img/ptz/light_offOver.gif'" onMouseOut="this.src='/img/ptz/light_off.gif'"></td>
                </tr>
                <tr align="center"> 
                  <td><img src="/img/ptz/aux1_on.gif" border="0" title="AUX 1 On" onClick="PtzCmdCtl('0x113');" onMouseOver="this.src='/img/ptz/aux1_onOver.gif'" onMouseOut="this.src='/img/ptz/aux1_on.gif'"></td>
                  <td><img src="/img/ptz/aux1_off.gif" border="0" title="AUX 1 Off" onClick="PtzCmdCtl('0x114');" onMouseOver="this.src='/img/ptz/aux1_offOver.gif'" onMouseOut="this.src='/img/ptz/aux1_off.gif'"></td>
                </tr>
                <tr align="center"> 
                  <td><img src="/img/ptz/aux2_on.gif" border="0" title="AUX 2 On" onClick="PtzCmdCtl('0x115');" onMouseOver="this.src='/img/ptz/aux2_onOver.gif'" onMouseOut="this.src='/img/ptz/aux2_on.gif'"></td>
                  <td><img src="/img/ptz/aux2_off.gif" border="0" title="AUX 2 Off" onClick="PtzCmdCtl('0x116');" onMouseOver="this.src='/img/ptz/aux2_offOver.gif'" onMouseOut="this.src='/img/ptz/aux2_off.gif'"></td>
                </tr>
              </table></td>
          </tr>
        </table>
      </div></td>
    <td width="100%" height="100%" align="center" valign="middle" bgcolor="#464646" id="TargetArea"> 
      <div id='viewer'> 
        <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
          <tr> 
            <td height="20" align="center" valign="middle" bgcolor="#7ACC36"> 
              <div id="clock"></div></td>
          </tr>
          <tr> 
            <td align="center"><APPLET mayscript width=0 height=0 codebase='/' archive='OmniViewer1.0.0.0.jar' code='StreamApplet.class' name='OmniViewer'>
                <PARAM name=ServerID value=<% FwGetParmValue("FwModId"); %>>
                <PARAM name=ScreenCount value=1>
                <PARAM name=ScreenRun1 value=true>
                <PARAM name=ScreenForCamera1 value=1>
                <PARAM name=FrameInterval value=0>
                <PARAM name=ServerImgSize value=true>
                <PARAM name=ServerPermission value=true>
                <PARAM name=LiveConnect value=true>
                <PARAM name=UserID value=<% FwGetUser(); %>>
                <PARAM name=PassWD value=<% FwGetPass(); %>>
              </APPLET></td>
          </tr>
          <tr> 
            <td height="20" align="center" valign="top" bgcolor="#ADFF69"><div id="description"></div></td>
          </tr>
        </table>
      </div></td>
  </tr>
</table>
</body>
</html>